edu.sc.seis.sod.source.seismogram

## Class FixedDataCenter

- java.lang.Object
- - edu.sc.seis.sod.source.AbstractSource
  - - edu.sc.seis.sod.source.seismogram.FixedDataCenter

- All Implemented Interfaces:
    SodElement, SeismogramSourceLocator, Source

  Deprecated.

      @Deprecated
      public class FixedDataCenter
      extends AbstractSource
      implements SodElement, SeismogramSourceLocator

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `DEFAULT_SERVER_NAME` Deprecated.

    - ### Fields inherited from class edu.sc.seis.sod.source.AbstractSource

      `name, NAME_ELEMENT, RETRIES_ELEMENT`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `FixedDataCenter()` Deprecated.
    `FixedDataCenter(org.w3c.dom.Element element)` Deprecated.
    `FixedDataCenter(java.lang.String dns, java.lang.String name)` Deprecated.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `edu.sc.seis.fissuresUtil.cache.ProxySeismogramDC` | `getDataCenter()` Deprecated.
    `DataCenterSource` | `getDataCenterSource()` Deprecated.
    `java.lang.String` | `getDNS()` Deprecated. returns the DNSName of the server.
    `SeismogramSource` | `getSeismogramSource(edu.sc.seis.fissuresUtil.cache.CacheEvent event, edu.iris.Fissures.network.ChannelImpl channel, edu.iris.Fissures.IfSeismogramDC.RequestFilter[] infilters, CookieJar cookieJar)` Deprecated.

    - ### Methods inherited from class edu.sc.seis.sod.source.AbstractSource

      `appendToName, getFissuresNamingService, getName, getRetries, getRetryStrategy, setRetryStrategy`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### DEFAULT_SERVER_NAME

          public static final java.lang.String DEFAULT_SERVER_NAME

      Deprecated.
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### FixedDataCenter

          public FixedDataCenter()

      Deprecated.

    - #### FixedDataCenter

          public FixedDataCenter(org.w3c.dom.Element element)

      Deprecated.

    - #### FixedDataCenter

          public FixedDataCenter(java.lang.String dns,
                                 java.lang.String name)

      Deprecated.

  - ### Method Detail

    - #### getSeismogramSource

          public SeismogramSource getSeismogramSource(edu.sc.seis.fissuresUtil.cache.CacheEvent event,
                                                      edu.iris.Fissures.network.ChannelImpl channel,
                                                      edu.iris.Fissures.IfSeismogramDC.RequestFilter[] infilters,
                                                      CookieJar cookieJar)
                                               throws java.lang.Exception

      Deprecated.
      Specified by:
        `getSeismogramSource` in interface `SeismogramSourceLocator`
      Throws:
        `java.lang.Exception`

    - #### getDataCenter

          public edu.sc.seis.fissuresUtil.cache.ProxySeismogramDC getDataCenter()

      Deprecated.

    - #### getDataCenterSource

          public DataCenterSource getDataCenterSource()

      Deprecated.

    - #### getDNS

          public java.lang.String getDNS()

      Deprecated.
      returns the DNSName of the server. The context under which the objectName is registered in the CORBA naming service.
      Returns:
        a `String` value